# Uses of Interface
org.opensaml.soap.soap11.Fault

Packages that use Fault
Package
Description
org.opensaml.soap.client
SOAP client functionality.
org.opensaml.soap.client.soap11.decoder.http.impl
SOAP 1.1 client message decoding support implementations.
org.opensaml.soap.common
Common classes shared across SOAP versions, clients, and transports.
org.opensaml.soap.messaging
SOAP messaging support components.
org.opensaml.soap.messaging.context
Context classes in support of SOAP messaging.
org.opensaml.soap.soap11.impl
Provided implementations of the SOAP 1.1 XMLObject interfaces.
org.opensaml.soap.soap11.profile.impl
Profile actions related to SOAP 1.1.
org.opensaml.soap.util
General SOAP utility classes.
org.opensaml.soap.wsaddressing.messaging.impl
WS-Addressing message handling components.

## Uses of Fault in org.opensaml.soap.client

Fields in org.opensaml.soap.client declared as Fault
Modifier and Type
Field
Description
`private Fault`
SOAPFaultException.`soapFault`
The fault that caused this exception.
Methods in org.opensaml.soap.client that return Fault
Modifier and Type
Method
Description
`Fault`
SOAPFaultException.`getFault()`
Gets the fault that caused the exception.
Methods in org.opensaml.soap.client with parameters of type Fault
Modifier and Type
Method
Description
`void`
SOAPFaultException.`setFault(Fault fault)`
Sets the fault that caused the exception.

## Uses of Fault in org.opensaml.soap.client.soap11.decoder.http.impl

Methods in org.opensaml.soap.client.soap11.decoder.http.impl that return Fault
Modifier and Type
Method
Description
`protected Fault`
HttpClientResponseSOAP11Decoder.`getFault(Envelope soapMessage)`
Return the Fault element from the SOAP message, if any.

## Uses of Fault in org.opensaml.soap.common

Fields in org.opensaml.soap.common declared as Fault
Modifier and Type
Field
Description
`private final Fault`
SOAP11FaultDecodingException.`fault`
The SOAP 1.1.
Methods in org.opensaml.soap.common that return Fault
Modifier and Type
Method
Description
`Fault`
SOAP11FaultDecodingException.`getFault()`
Get the SOAP 1.1 Fault represented by the exception.
Constructors in org.opensaml.soap.common with parameters of type Fault
Modifier
Constructor
Description
``
`SOAP11FaultDecodingException(Fault soapFault)`
Constructor.
``
`SOAP11FaultDecodingException(Fault soapFault, String message)`
Constructor.

## Uses of Fault in org.opensaml.soap.messaging

Methods in org.opensaml.soap.messaging that return Fault
Modifier and Type
Method
Description
`static Fault`
SOAPMessagingSupport.`getSOAP11Fault(MessageContext messageContext)`
Get the registered SOAP 1.1 fault, if any.
Methods in org.opensaml.soap.messaging with parameters of type Fault
Modifier and Type
Method
Description
`static void`
SOAPMessagingSupport.`registerSOAP11Fault(MessageContext messageContext, Fault fault)`
Register a SOAP 1.1 fault.

## Uses of Fault in org.opensaml.soap.messaging.context

Fields in org.opensaml.soap.messaging.context declared as Fault
Modifier and Type
Field
Description
`private Fault`
SOAP11Context.`fault`
SOAP 1.1 Fault related to the current message processing context.
Methods in org.opensaml.soap.messaging.context that return Fault
Modifier and Type
Method
Description
`Fault`
SOAP11Context.`getFault()`
Get the current SOAP 1.1 Fault related to the current message processing context.
Methods in org.opensaml.soap.messaging.context with parameters of type Fault
Modifier and Type
Method
Description
`SOAP11Context`
SOAP11Context.`setFault(Fault newFault)`
Set the current SOAP 1.1 Fault related to the current message processing context.

## Uses of Fault in org.opensaml.soap.soap11.impl

Classes in org.opensaml.soap.soap11.impl that implement Fault
Modifier and Type
Class
Description
`class`
`FaultImpl`
Concrete implemenation of `Fault`.
Methods in org.opensaml.soap.soap11.impl that return Fault
Modifier and Type
Method
Description
`Fault`
FaultBuilder.`buildObject()`
Creates an envelope object with the default SOAP 1.1 namespace, prefix and "Fault" as the element local name.
`Fault`
FaultBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of Fault in org.opensaml.soap.soap11.profile.impl

Fields in org.opensaml.soap.soap11.profile.impl with type parameters of type Fault
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,Fault>`
AddSOAPFault.`contextFaultStrategy`
Strategy for resolving a fault instance directly from the request context.
Methods in org.opensaml.soap.soap11.profile.impl that return Fault
Modifier and Type
Method
Description
`Fault`
AddSOAPFault.MessageContextFaultStrategy.`apply(ProfileRequestContext input)`
`private Fault`
AddSOAPFault.`buildNewMappedFault(ProfileRequestContext profileRequestContext)`
Build and return a new `Fault` based on configured mapping strategy.
`private Fault`
AddSOAPFault.`resolveContextFault(ProfileRequestContext profileRequestContext)`
Resolve a `Fault` instance stored in the `ProfileRequestContext`.
Methods in org.opensaml.soap.soap11.profile.impl with parameters of type Fault
Modifier and Type
Method
Description
`private void`
AddSOAPFault.`buildFaultString(Fault fault, String message)`
Build and attach `FaultString` element.
Method parameters in org.opensaml.soap.soap11.profile.impl with type arguments of type Fault
Modifier and Type
Method
Description
`void`
AddSOAPFault.`setContextFaultStrategy(Function<ProfileRequestContext,Fault> strategy)`
Set the optional strategy used to resolve a `Fault` instance directly from the request context.

## Uses of Fault in org.opensaml.soap.util

Methods in org.opensaml.soap.util that return Fault
Modifier and Type
Method
Description
`static Fault`
SOAPSupport.`buildSOAP11Fault(QName faultCode, String faultString, String faultActor, List<XMLObject> detailChildren, Map<QName,String> detailAttributes)`
Build a SOAP 1.1.

## Uses of Fault in org.opensaml.soap.wsaddressing.messaging.impl

Methods in org.opensaml.soap.wsaddressing.messaging.impl with parameters of type Fault
Modifier and Type
Method
Description
`protected String`
AddActionHandler.`selectActionURIForFault(Fault fault)`
Select the Action URI value to return for the given `Fault`.